// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded client scripts)')


JEIEvents.hideItems(event => {

    event.hide(Item.of('avaritia:singularity').strongNBT())
    event.hide('toughasnails:water_purifier')
    event.hide('avaritia:neutron_collector')
    event.hide(['extendedcrafting:crystaltine_component', 'extendedcrafting:enhanced_ender_component', 'extendedcrafting:ender_component', 'extendedcrafting:the_ultimate_component', 'extendedcrafting:flux_star', 'extendedcrafting:ender_star', 'extendedcrafting:handheld_table', Item.of('extendedcrafting:recipe_maker', '{Shapeless:0b,Type:"Datapack"}'), Item.of('extendedcrafting:recipe_maker', '{Shapeless:0b,Type:"CraftTweaker"}'), 'extendedcrafting:enhanced_redstone_component', 'extendedcrafting:redstone_component', 'extendedcrafting:ultimate_component', 'extendedcrafting:elite_component', 'extendedcrafting:advanced_component', 'extendedcrafting:basic_component', 'extendedcrafting:the_ultimate_catalyst', 'extendedcrafting:basic_catalyst', 'extendedcrafting:advanced_catalyst', 'extendedcrafting:elite_catalyst', 'extendedcrafting:ultimate_catalyst', 'extendedcrafting:redstone_catalyst', 'extendedcrafting:enhanced_redstone_catalyst', 'extendedcrafting:ender_catalyst', 'extendedcrafting:enhanced_ender_catalyst', 'extendedcrafting:crystaltine_catalyst', 'extendedcrafting:black_iron_slate'])
    event.hide(['extendedcrafting:the_ultimate_nugget', 'extendedcrafting:crystaltine_nugget', 'extendedcrafting:enhanced_ender_nugget', 'extendedcrafting:ender_nugget', 'extendedcrafting:enhanced_redstone_nugget', 'extendedcrafting:redstone_nugget', 'extendedcrafting:black_iron_nugget', 'extendedcrafting:the_ultimate_ingot', 'extendedcrafting:flux_crafter', 'extendedcrafting:auto_flux_crafter', 'extendedcrafting:luminessence', 'extendedcrafting:black_iron_ingot', 'extendedcrafting:redstone_ingot', 'extendedcrafting:enhanced_redstone_ingot', 'extendedcrafting:ender_ingot', 'extendedcrafting:enhanced_ender_ingot', 'extendedcrafting:crystaltine_ingot', 'extendedcrafting:flux_alternator', 'extendedcrafting:auto_ender_crafter', 'extendedcrafting:ender_crafter', 'extendedcrafting:ender_alternator', 'extendedcrafting:elite_auto_table', 'extendedcrafting:advanced_auto_table', 'extendedcrafting:basic_auto_table', 'extendedcrafting:elite_table', 'extendedcrafting:advanced_table', 'extendedcrafting:basic_table', 'extendedcrafting:crafting_core', 'extendedcrafting:pedestal', 'extendedcrafting:frame', 'extendedcrafting:ender_star_block', 'extendedcrafting:flux_star_block', 'extendedcrafting:luminessence_block', 'extendedcrafting:black_iron_block', 'extendedcrafting:redstone_ingot_block', 'extendedcrafting:enhanced_redstone_ingot_block'])
    event.hide(['extendedcrafting:enhanced_ender_ingot_block', 'extendedcrafting:ender_ingot_block', 'extendedcrafting:crystaltine_block', 'extendedcrafting:the_ultimate_block'])
    event.hide(['avaritia:matter_cluster', 'avaritia:cosmic_meatballs', 'avaritia:ultimate_stew', 'avaritia:infinity_nugget'])
    event.hide(['ae2:printed_logic_processor', 'ae2:printed_engineering_processor', 'ae2:printed_calculation_processor', 'ae2:logic_processor', 'ae2:calculation_processor', 'ae2:engineering_processor'])
})

JEIEvents.addItems(event => {

    event.add(['dimensional_traders:end_trader_stall', 'dimensional_traders:nether_trader_stall'])
})

JEIEvents.removeCategories(event => {

    event.remove('jeresources:worldgen')
    event.remove('jeresources:mob')
    event.remove('jeresources:dungeon')
    event.remove('jeresources:enchantment')
    event.remove('avaritia:extreme_craft')
    event.remove('extendedcrafting:basic_crafting')
    event.remove('extendedcrafting:advanced_crafting')
    event.remove('extendedcrafting:combination')
    event.remove('extendedcrafting:ender_crafting')
    event.remove('extendedcrafting:flux_crafting')
    event.remove('extendedcrafting:elite_crafting')

})